<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta http-equiv="x-ua-compatible" content="IE=edge"/>
<title>Test results - Class io.gitlab.littlesaints.protean.exchange.MessageExchangesTakeTests</title>
<link href="../css/base-style.css" rel="stylesheet" type="text/css"/>
<link href="../css/style.css" rel="stylesheet" type="text/css"/>
<script src="../js/report.js" type="text/javascript"></script>
</head>
<body>
<div id="content">
<h1>Class io.gitlab.littlesaints.protean.exchange.MessageExchangesTakeTests</h1>
<div class="breadcrumbs">
<a href="../index.html">all</a> &gt; 
<a href="../packages/io.gitlab.littlesaints.protean.exchange.html">io.gitlab.littlesaints.protean.exchange</a> &gt; MessageExchangesTakeTests</div>
<div id="summary">
<table>
<tr>
<td>
<div class="summaryGroup">
<table>
<tr>
<td>
<div class="infoBox" id="tests">
<div class="counter">8</div>
<p>tests</p>
</div>
</td>
<td>
<div class="infoBox" id="failures">
<div class="counter">0</div>
<p>failures</p>
</div>
</td>
<td>
<div class="infoBox" id="ignored">
<div class="counter">0</div>
<p>ignored</p>
</div>
</td>
<td>
<div class="infoBox" id="duration">
<div class="counter">0.064s</div>
<p>duration</p>
</div>
</td>
</tr>
</table>
</div>
</td>
<td>
<div class="infoBox success" id="successRate">
<div class="percent">100%</div>
<p>successful</p>
</div>
</td>
</tr>
</table>
</div>
<div id="tabs">
<ul class="tabLinks">
<li>
<a href="#tab0">Tests</a>
</li>
</ul>
<div id="tab0" class="tab">
<h2>Tests</h2>
<table>
<thead>
<tr>
<th>Test</th>
<th>Duration</th>
<th>Result</th>
</tr>
</thead>
<tr>
<td class="success">testTakeConsumer[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.004s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testTakeConsumer[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.002s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testTakeConsumer[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testTakeConsumer[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testTakeConsumers[0: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.051s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testTakeConsumers[1: getType=protean::exchange::java::linkedBlockingQ | capacity=32 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.003s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testTakeConsumers[2: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=false]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
<tr>
<td class="success">testTakeConsumers[3: getType=protean::exchange::java::linkedTransferQ | capacity=-1 | load=1,000 | isMultiProducer=true]</td>
<td class="success">0.001s</td>
<td class="success">passed</td>
</tr>
</table>
</div>
</div>
<div id="footer">
<p>
<div>
<label class="hidden" id="label-for-line-wrapping-toggle" for="line-wrapping-toggle">Wrap lines
<input id="line-wrapping-toggle" type="checkbox" autocomplete="off"/>
</label>
</div>Generated by 
<a href="http://www.gradle.org">Gradle 4.10</a> at Jan 1, 2020 10:43:41 PM</p>
</div>
</div>
</body>
</html>
